@echo off

set HW_FILE=EJ5XX_HW_00.00.0D.01.GRB
set FW_PATH=EtronP2PD_4_0000_1259_10_APP_MAC10_13
set FW_FILE=EtronP2PD

set FW_ENCODE_TOOL=P2pdRomEncode_v1.1.00
set FW_PROGRAM_TOOL=P2pdRomProgram-DLL_v4.0.1.1

set DESC_FILE=USB_DESC
set GEN_DESC_PATH=%FW_PATH%\ej5xx_desc_gen_release\
set CMD=tinyperl20\tinyperl.exe .\ej5xx_desc_gen.pl

cd HW_FW_DESC

if exist %FW_PATH%\Source\Object\%FW_FILE%.hex (
	
	echo === Encode Firmware
	copy %FW_PATH%\Source\Object\%FW_FILE%.hex .
	%FW_ENCODE_TOOL%.exe %HW_FILE%.bin %FW_FILE%.hex
	del %FW_FILE%.hex

	echo === Generate Desc.bin
	cd %GEN_DESC_PATH%
	%CMD%
	cd ..\..

	echo === Programing Firmware to ROM
	%FW_PROGRAM_TOOL%.exe M %HW_FILE%_%FW_FILE%.bin %GEN_DESC_PATH%\%DESC_FILE%.bin
	del %HW_FILE%_%FW_FILE%.bin
	echo:
	echo Succeed to generate ERIE_ROM_FILE binary file.
	echo:
) else (
	echo Can not find %FW_FILE%.hex!!
)

cd ..

